<?require 'header.php';

if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
?>
<div class="menucenter">
<?
$user=text($_SESSION["username"]);

$result = mysql_query("SELECT * FROM tb_users WHERE username='$user'");
$row = mysql_fetch_assoc($result);
if(!(isset($_POST["money"])))
{
?>
<form action="" method="POST">

<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center"><img src="images/mon.png"> <b>Сумма к переводу:</b> </th>
<th align="center"></th>
</tr></thead>
<tr>
<td class='value' align='center' ><input type="text" name="money" value="<?=round($row["money"],2); ?>"> <b>Руб.</b></td>
</td>
<td class='value' align='center' >
<input type="submit" class="ok_wm" value="Перевести"></td></tr></table></form>
<?
  include('footer.php');
  exit();
}
$result1 = mysql_query("SELECT * FROM tb_config WHERE item='payment' and money='1'");
$row1 = mysql_fetch_assoc($result1);
if($row["money"]<=0)
{
	echo "<div class=error>Ваш баланс пуст.</div>";
	include('footer.php');
	exit();
}
$money=round($_POST["money"],9);
if($money > $row["money"])
{
  echo "<div class=error>У вас недостаточно средств на балансе</div>";
include('footer.php');
exit();
}
if($money == '')
{
  echo "<div class=error>Некорректный ввод суммы выплаты!</div>";
include('footer.php');
exit();
}
if($money < 0)
{
  echo "<div class=error>Некорректный ввод суммы выплаты!</div>";
include('footer.php');
exit();
}
mysql_query("update tb_users set money=money-'$money' where username='$user'");
mysql_query("update tb_users set money_cr=money_cr+'$money' where username='$user'");
echo"<div class=good>Перевод средств выполнен<br /><a href='convert_cr.php'>Вернуться назад</a></div>";
include('footer.php');
exit();
?>